@import 'css/variables';
._node {
  font-size: 14px;
  color: $color-neutral-grey-60;
  overflow: hidden;
  border: 1px solid $color-neutral-grey-12;
  box-shadow: $shadow-z1;
  border-radius: 8px;
  opacity: 1;
  top: 0px;
  left: 0px;
  &:hover {
    border: 1px solid $color-neutral-grey-60;
    box-shadow: $shadow-z2;
  }

  &.started-connection {
    border: 1px solid $color-brand !important;
    box-shadow: $shadow-z1 !important;
  }

  &.suggest-connection {
    border: 4px solid $color-brand !important;
    box-shadow: $shadow-z3 !important;
    margin: -3px;
  }

  &.is-dragged {
    border: 2px solid $color-brand !important;
    box-shadow: $shadow-dragged !important;
    margin: -1px;
  }

  &.is-disappearing {
    transition: transform 0.5s ease-in-out, opacity 0.4s ease-in-out, margin 0.5s ease-in-out;
    border: 2px solid $color-brand !important;
    box-shadow: $shadow-dragged !important;
    margin: -1px;
    transform: scale(0,0);
    opacity: 0 !important;
    margin-left: 116px !important;
    margin-top: 62px !important;
  }


}

// .vue-flow__edges {
//   z-index: 1 !important;
// }

.dragging {
  z-index: 10000 !important;
  transition: none !important;
}
.vue-flow__node {
  transition: transform 0.2s ease-in-out;
}

.vue-flow__panel {
  &.bottom {
    &.right {
      z-index: 1 !important;
      margin: 0px;
    }
  }
}

.bar {
  z-index: 10 !important;
  backdrop-filter: blur(8px) !important;
  background: $color-neutral-white-88 !important;
  border-radius: 8px !important;
  border: 1px solid $color-neutral-grey-12 !important;
  box-shadow: $shadow-semi-transparent !important;
  width: 100%;
}

.vue-flow__edge-path {
  stroke-width: 2px !important;
  stroke: #b2b2c4 !important;
}

.round-icon-btn {
  width: 32px;
  height: 32px;
  border: 1px solid $color-neutral-grey-12;
  box-shadow: $shadow-light-btn;
  background: white;
  color: white;
  border-radius:40px;
  .icon {
    background:$color-brand;
  }
  &:hover {
    box-shadow: $shadow-light-btn-hover;
    background: $color-button-brand-hover;
    .icon {
      background:white;
    }
  }
  &:active {
    box-shadow: $shadow-light-btn-pressed;
    background: $color-button-brand-pressed;
    .icon {
      background:white;
    }
  }
}

